Subject: Re: Tigon3 5701 PCI-X recv performance problem

From: "David S. Miller" <[email-masked]>
Date: Wed, 8 Oct 2003 13:24:02 -0700

On Wed, 8 Oct 2003 22:22:48 +0200
Andi Kleen <[email-masked]> wrote:

> It's not that it's a new problem - we had this since the Alpha port
> and it hasn't gotten more urgent suddenly.

Frankly, I just want to shut all the ia64 users up because they keep
barking due to the kernel unaligned trap message that port spits out.

> Hmm - you mean it allocates a full page and does suballocation by itself?

We could write some helper routines.

> The suballocation would need to be per CPU to be SMP efficient I guess,
> which would complicate it.

Andi, stop right there, we're talking about mitigating the horrible
performance some $6.00 USD Taiwaneese network cards get on expensive
ia64 systems.  How much effort do you think we should drain into
optimizing this? :-)